Package org.eclipse.net4j.util.collection

## Class RoundRobinIterator<T>

- java.lang.Object
- - org.eclipse.net4j.util.collection.RoundRobinIterator<T>

- All Implemented Interfaces:
    `java.util.Iterator<T>`

      public class RoundRobinIterator<T>
      extends java.lang.Object
      implements java.util.Iterator<T>

  Since:
    3.9
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RoundRobinIterator​(java.util.Collection<T> collection)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `hasNext()` |
    `T` | `next()` |
    `void` | `remove()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### RoundRobinIterator

          public RoundRobinIterator​(java.util.Collection<T> collection)

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `java.util.Iterator<T>`

    - #### next

          public T next()

      Specified by:
        `next` in interface `java.util.Iterator<T>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `java.util.Iterator<T>`